View a markdown version of this page

GetBatchEvaluation - Amazon Bedrock AgentCore Data Plane

GetBatchEvaluation

Retrieves detailed information about a batch evaluation, including its status, configuration, results, and any error details.

Request Syntax

GET /evaluations/batch-evaluate/batchEvaluationId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

batchEvaluationId

The unique identifier of the batch evaluation to retrieve.

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "batchEvaluationArn": "string", "batchEvaluationId": "string", "batchEvaluationName": "string", "createdAt": "string", "dataSourceConfig": { ... }, "description": "string", "errorDetails": [ "string" ], "evaluationResults": { "evaluatorSummaries": [ { "evaluatorId": "string", "statistics": { "averageScore": number }, "totalEvaluated": number, "totalFailed": number } ], "numberOfSessionsCompleted": number, "numberOfSessionsFailed": number, "numberOfSessionsIgnored": number, "numberOfSessionsInProgress": number, "totalNumberOfSessions": number }, "evaluators": [ { "evaluatorId": "string" } ], "outputConfig": { ... }, "status": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

batchEvaluationArn

The Amazon Resource Name (ARN) of the batch evaluation.

Type: String

batchEvaluationId

The unique identifier of the batch evaluation.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}

batchEvaluationName

The name of the batch evaluation.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

createdAt

The timestamp when the batch evaluation was created.

Type: Timestamp

dataSourceConfig

The data source configuration specifying where agent traces are pulled from.

Type: DataSourceConfig object

Note: This object is a Union. Only one member of this object can be specified or returned.

description

The description of the batch evaluation.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 200.

errorDetails

The error details if the batch evaluation encountered failures.

Type: Array of strings

Array Members: Minimum number of 0 items. Maximum number of 1 item.

Length Constraints: Minimum length of 0. Maximum length of 1000.

evaluationResults

The aggregated evaluation results, including session completion counts and evaluator score summaries.

Type: EvaluationJobResults object

evaluators

The list of evaluators applied during the batch evaluation.

Type: Array of Evaluator objects

outputConfig

The output configuration specifying where evaluation results are written.

Type: OutputConfig object

Note: This object is a Union. Only one member of this object can be specified or returned.

status

The current status of the batch evaluation.

Type: String

Valid Values: PENDING | IN_PROGRESS | COMPLETED | COMPLETED_WITH_ERRORS | FAILED | STOPPING | STOPPED | DELETING

updatedAt

The timestamp when the batch evaluation was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.

HTTP Status Code: 403

InternalServerException

The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.

HTTP Status Code: 500

ResourceNotFoundException

The exception that occurs when the specified resource does not exist. This can happen when using an invalid identifier or when trying to access a resource that has been deleted.

HTTP Status Code: 404

ThrottlingException

The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.

HTTP Status Code: 429

UnauthorizedException

This exception is thrown when the JWT bearer token is invalid or not found for OAuth bearer token based access

HTTP Status Code: 401

ValidationException

The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: